* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: white;
    font-family: 'Poppins', sans-serif;
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: center;
}


/* logo */

.logo {
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: rgba(3, 8, 20, 0.1) 0px 1.5rem 0.8rem, rgba(2, 8, 20, 0.1) 0px 0.075rem 0.175rem;
}


/* section */

.img-container {
    height: 100%;
    width: 100%;
    padding: 0px 5px;
}

.img-container img {
    height: 100px;
    width: 100%;
    object-fit: inherit;
    filter: saturate(10%);
}

.img-container img:hover {
    filter: saturate(120%);
}

.content-grid {}

.gallery {
    margin-top: 30px;
    display: grid;
    margin-left: 20px;
    margin-right: 20px;
    gap: 1;
    grid-template-columns: repeat(7, 1fr);
}

.modal {
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(0, 0, 0, 0.9);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    text-align: center;
    word-wrap: break-word;
    opacity: 0;
    pointer-events: none;
    transition: 0.25s ease-out;
}

.modal.open {
    opacity: 1;
    pointer-events: all;
}

.watermark {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: none;
    height: 100%;
    width: 100%;
    opacity: 0.3;
    z-index: 1;
    transform: scale(0.4);
}

.ima {
    margin: 0;
    padding: 0;
    pointer-events: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal img {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover;
}

.modal p {
    background-color: rgb(0, 0, 0);
    color: white;
    padding: 0.5rem;
    position: absolute;
    bottom: 5%;
    font-style: bold;
    left: 50%;
    transform: translate(-50%, -5%);
}

.full-img {
    position: absolute;
    transform: scale(0.3);
    transition: all 0.25s ease-out;
}

.full-img.open {
    transform: scale(0.7);
}

.contact-modal {
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(0, 0, 0, 0.9);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    opacity: 0;
    pointer-events: none;
    transition: all 0.25s ease-out;
}

.contact-modal.open {
    opacity: 1;
    pointer-events: all;
}


/* .contact-content {
    max-width: 100%;
    max-height: 100%;
    background-color: white;
    border-radius: 10px;
} */

.close {
    position: absolute;
    top: 0;
    left: 95%;
    cursor: pointer;
}

.contact-form {
    position: relative;
    border-radius: 5px;
    height: 400px;
    width: 330px;
    display: flex;
    background-color: white;
    padding: 30px;
    margin: 0px 10px;
    gap: 5px;
    opacity: 1;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition:all 0.25s ease-out;
}

.contact-form.open{
    height: 400px;
    width: 330px;
}

@media screen and (max-width: 300px) {
    .contact-form.open {
        height: 200px;
        width:130px;
    }
}

h1 {
    text-align: center;
    margin-bottom: 8px;
}

input {
    width: 100%;
    padding: 10px;
    color: #052a20;
}

textarea {
    width: 100%;
    height: fit-content;
    padding: 10px;
    color: #052a20;
}

.button {
    height: fit-content;
    width: fit-content;
    background-color: #052a20;
    border: 0;
    margin-top: 8px;
    border-radius: 8px;
    padding: 10px;
    text-decoration: none;
    cursor: pointer;
}

.button:focus {
    background-color: #017054;
}

li {
    cursor: pointer;
}


/* footer */

.footer-nav ul {
    margin: 0;
    padding: 0;
    bottom: 0;
    left: 0;
    list-style: none;
    align-items: flex-end;
    display: flex;
    justify-content: space-between;
}

.footer-web {
    display: flex;
    justify-content: center;
    margin-top: 10px;
    background-color: rgb(206, 206, 206);
}

.footer-nav p {
    padding: 10px;
    color: #052a20;
}